Subject: Re: bug#57963: [PATCH 0/1] Support user's fontconfig.

From: Declan Tsien <[email-masked]>
Date: Thu, 20 Oct 2022 09:23:01 +0800

Taiju HIGASHI <[email-masked]> writes:

>                     (default-font-serif-family "Noto Serif CJK JP")
>                     (default-font-sans-serif-family "Noto Sans Serif CJK JP")
>                     (default-font-monospace-family "PlemolJP Console")

Does this take a list as value? Because I have specified some fallback fonts in my configuration.
I directly use sxml to serialize the config file right now. Below is a portion of it.

It would be great if I could use this home-service without writing extra sxml code once it gets merged.

#+begin_src scheme
  (alias (@ (binding "strong"))
	 (family "sans-serif")
	 (prefer
	  (family "WenQuanYi Micro Hei")
	  (family "Noto Sans")))

  (alias (@ (binding "strong"))
	 (family "monospace")
	 (prefer
	  (family "Sarasa Mono CL")
	  (family "Inconsolata")
	  (family "Noto Mono")))
#+end_src